private void AddDetail()
{
    IRange range;
    currentColumn = 1;
    currentRow = 1;
    
    //1st sheet
    //Read data.  We export all contents in the worksheet to a datatable
    sheet = workbook.Worksheets[2];
    dataTable = sheet.ExportDataTable(1, 1, sheet.UsedRange.End.Row, sheet.UsedRange.End.Column, ExcelExportDataTableOptions.ColumnNames);

    sheet = workbook.Worksheets["NewSheet"];

    // Formatting
    range = sheet.Range[currentRow, currentColumn];
    range.CellStyle.Font.Size = 8;
    range.CellStyle.Font.FontName = "Verdana";
    range.RowHeight = 14.25;
    range.Borders[ExcelBordersIndex.EdgeBottom].LineStyle = ExcelLineStyle.Thin;
    range.Borders[ExcelBordersIndex.EdgeLeft].LineStyle = ExcelLineStyle.Thin;
    range.Borders[ExcelBordersIndex.EdgeRight].LineStyle = ExcelLineStyle.Thin;
    range.Borders[ExcelBordersIndex.EdgeTop].LineStyle = ExcelLineStyle.Thin;
    sheet.ImportDataTable(dataTable, true, currentRow, currentColumn);

    //set "currentRow" equal to the next blank row in the "NewSheet" worksheet.
    currentRow = dataTable.Rows.Count + currentRow;

    //Read 2nd sheet
    sheet = workbook.Worksheets[3];

    //We export all the contents in the worksheet to a datatable.
    dataTable.Clear();
    dataTable = sheet.ExportDataTable(3, 1, sheet.UsedRange.End.Row, sheet.UsedRange.End.Column, ExcelExportDataTableOptions.None);
    sheet = workbook.Worksheets["All"];

    // Formatting
    range = sheet.Range[currentRow, currentColumn];
    range.CellStyle.Font.Size = 8;
    range.CellStyle.Font.FontName = "Verdana";
    range.RowHeight = 14.25;
    range.Borders[ExcelBordersIndex.EdgeBottom].LineStyle = ExcelLineStyle.Thin;
    range.Borders[ExcelBordersIndex.EdgeLeft].LineStyle = ExcelLineStyle.Thin;
    range.Borders[ExcelBordersIndex.EdgeRight].LineStyle = ExcelLineStyle.Thin;
    range.Borders[ExcelBordersIndex.EdgeTop].LineStyle = ExcelLineStyle.Thin;

    sheet.ImportDataTable(dataTable, false, currentRow, currentColumn);

    //set "currentRow" equal to the next blank row in the "NewSheet" worksheet.
    currentRow = dataTable.Rows.Count + currentRow ;
}